# -*- encoding : utf-8 -*-

class Admin::MOdrTrackersController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "default"
  end
  
  def index
    @m_odr_trackers = MOdrTracker.order(:name).all

  end

  def show
    @m_odr_tracker = MOdrTracker.find(params[:id])

  end

  def new
    @m_odr_tracker = MOdrTracker.new(:m_odr_id => params[:m_odr_id])
  
  end

  def edit
    @m_odr_tracker = MOdrTracker.find(params[:id])
    
  end

  def create
    @m_odr_tracker = MOdrTracker.new(params.require(:m_odr_tracker).permit!)

    if @m_odr_tracker.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @m_odr_tracker = MOdrTracker.find(params[:id])


    if @m_odr_tracker.update_attributes(params.require(:m_odr_tracker).permit!)
      
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @m_odr_tracker = MOdrTracker.find(params[:id])
    @m_odr_tracker.destroy
    
  end
end
