class MOdrCoupon < ApplicationRecord
  belongs_to :m_odr
  validates :name, :presence => true
  acts_as_sorting :fields => {
    :name => {:name => "Nom", :reorder => true},
   
     :actions => "Actions"
    }
    
  acts_as_csv_import :fields => [:name]
  
  before_save do
    self.name = self.name.gsub(/\s+/, "")
    
  end
end
