class MailType < ApplicationRecord
  has_many :mail_contents
  belongs_to :mail_type_reference, :class_name => "MailType"
  
  belongs_to :mail_type_cat
  
  belongs_to :m_odr

  acts_as_sorting :fields => {
      
      :slug => {:name => "Réf", :reorder => true},
      :mail_type_cat_id => {:name => "Catégorie", :reorder => true},
    
      :actions => "Actions",
    }
    
    
  accepts_nested_attributes_for :mail_contents
end
